Recent

Author Topic: gtkdef error in gtk2richmemo when compiling in lazarus 2.20  (Read 338 times)

davesimplewear

  • Sr. Member
  • ****
  • Posts: 314
    • Davids Freeware
everytime I try to compile any version of richmemo apart from v.1 I get a GTKDEF error telling me to use unit in lcl  bur this dosn't work as the lcl is root in linux.
Any one else have this problem as I have googled it many times for a fix but no joy,hence why I  am asking here I  have used SynEdit but it's lack of text alignment and wordwrap have left a lot of functionality out of a text editor I have been working on
Regards
Dave
All things considered insanity seems the best option

af0815

  • Hero Member
  • *****
  • Posts: 1024
Re: gtkdef error in gtk2richmemo when compiling in lazarus 2.20
« Reply #1 on: June 19, 2022, 08:58:45 am »
Why is LCL is root?

How habe you installed fpc and Lazarus?
regards
Andreas

davesimplewear

  • Sr. Member
  • ****
  • Posts: 314
    • Davids Freeware
Re: gtkdef error in gtk2richmemo when compiling in lazarus 2.20
« Reply #2 on: June 20, 2022, 01:37:54 am »
Hi,
FPC and Lazarus were3 installed by deb packages and are located in/usr/share
All things considered insanity seems the best option

dbannon

  • Hero Member
  • *****
  • Posts: 2083
    • tomboy-ng, a rewrite of the classic Tomboy
Re: gtkdef error in gtk2richmemo when compiling in lazarus 2.20
« Reply #3 on: June 20, 2022, 08:25:30 am »
> I get a GTKDEF error telling me to use unit in lcl  bur this dosn't work as the lcl is root in linux.

I think Richmemo does require some defs as its still very much under development. So, it has different things defined for different versions of Lazarus. But that, IMHO, does not necessarily require you to be editing your LCL files.  Maybe you could give a bit more detail about the error you get ? What it wants defined, where ....

OTOH, most people do, sooner or later, especially on Linux, do build their own Lazarus from source and, for reasons like this, find life a lot easier.

Another suggestion, KControls has a thing called KMemo, its more stable (indeed, perhaps too stable) but does do most of what you would expect, Windows, Mac and Linux.

Davo
Lazarus 2, Linux (and reluctantly Win10, OSX)
My Project - https://github.com/tomboy-notes/tomboy-ng

davesimplewear

  • Sr. Member
  • ****
  • Posts: 314
    • Davids Freeware
Re: gtkdef error in gtk2richmemo when compiling in lazarus 2.20
« Reply #4 on: June 21, 2022, 08:40:17 am »
OK Thanks Davo I will give the KMemo a try and I removed the deb and installed it in the home folder,I used to do this all the time,but got a bit lazy over the last few years.
Regards
Dave
« Last Edit: June 21, 2022, 08:42:09 am by davesimplewear »
All things considered insanity seems the best option

 

TinyPortal © 2005-2018